<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globform">
      <h1>#{messages['net.ihe.gazelle.cdagen.CDAGenerated']}</h1>
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDAGenerated']}</f:facet>
        <rich:dataTable id="datab" var="currentGeneration" value="#{eDispGeneratorManager.getListCDAGeneration()}" rowKeyVar="rowNumber" onRowMouseOver="this.style.backgroundColor='#94C2E6'" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" rows="10" render="ds">
          <g:column sortBy="#{currentGeneration.id}" sortOrder="descending" width="50">
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
            <h:outputLink value="#{eDispGeneratorManager.generateLinkForCDAGeneration(currentGeneration)}" target="_blank">
							#{currentGeneration.id}
						</h:outputLink>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Creator']}</ui:define>
            <h:outputText value="#{currentGeneration.creator}"/>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.DispAuthor']}</ui:define>
            <h:outputText value="#{currentGeneration.author.firstName} #{currentGeneration.author.lastName}"/>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.DispOrganization']}</ui:define>
            <h:outputText value="#{currentGeneration.organization.assigningAuthorityName}"/>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.AffinityDomain']}</ui:define>
            <h:outputText value="#{currentGeneration.affinityDomain.keyword}"/>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
            <h:graphicImage id="viewObjectType" value="/img/icons64/kfind.gif" width="28" height="28" style="cursor:pointer;">
              <a4j:ajax event="click" oncomplete="jq162('#ViewSelectedCDAGeneration').modal('show');" immediate="true" render="ViewSelectedCDAGeneration" execute="@this" listener="#{eDispGeneratorManager.setSelectedCDAGeneration(currentGeneration)}"/>
            </h:graphicImage>
          </g:column>
          <ui:include src="/tableFooter.xhtml"/>
        </rich:dataTable>
      </gri:panel>
    </h:form>
    <gri:popupPanel id="ViewSelectedCDAGeneration" width="900" height="500">
      <f:facet name="header">
        <h:outputText value="#{messages['net.ihe.gazelle.cdagen.DispensationGeneration']}"/>
      </f:facet>
      <f:facet name="controls">
        <h:graphicImage id="CommentSampleGraphicImageFC" alt="#{messages['gazelle.common.button.mp.close']}" value="/img/modal/close.gif" style="cursor:pointer" onclick="jq162('#ViewSelectedCDAGeneration')}.hide()"/>
      </f:facet>
      <s:decorate id="decview" rendered="#{eDispGeneratorManager.selectedCDAGeneration != null}">
        <h:form id="formview">
          <gri:panel pid="panview">
            <gri:tabPanel id="tabpaneped">
              <gri:tab head="#{messages['net.ihe.gazelle.EPrescription']}">
                <h:selectOneRadio value="#{eDispGeneratorManager.ePViewMode}">
                  <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Xml']}" itemValue="xml"/>
                  <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Html1']}" itemValue="html1"/>
                  <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Html2']}" itemValue="html2"/>
                  <a4j:ajax event="change"  render="tabpaneped"/>
                </h:selectOneRadio>
                <s:div id="epxmlview" rendered="#{eDispGeneratorManager.ePViewMode.equals('xml')}">
                  <gdk:insert content="#{eDispGeneratorManager.selectedCDAGeneration.prescription.cdaFileContent}" highlight="xml" style="overflow:auto; width: 840px; height: 380px;"/>
                </s:div>
                <s:div id="ephtmlview" rendered="#{eDispGeneratorManager.ePViewMode.equals('html1')}">
									#{eDispGeneratorManager.updateEPViewForMessages()}
									<iframe src="ePview1.seam" style="overflow:auto; width: 840px; height: 380px; border-width: 0px;"/>
								</s:div>
                <s:div id="ephtml2view" rendered="#{eDispGeneratorManager.ePViewMode.equals('html2')}">
									#{eDispGeneratorManager.updateEPViewForMessages()}
									<iframe src="ePview2.seam" style="overflow:auto; width: 840px; height: 380px; border-width: 0px;"/>
								</s:div>
              </gri:tab>
              <gri:tab head="#{messages['net.ihe.gazelle.EDispensation']}">
                <h:selectOneRadio value="#{eDispGeneratorManager.eDViewMode}">
                  <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Xml']}" itemValue="xml"/>
                  <f:selectItem itemLabel="#{messages['net.ihe.gazelle.cdagen.Html']}" itemValue="html"/>
                  <a4j:ajax event="change"  render="tabpaneped"/>
                </h:selectOneRadio>
                <s:div id="edxmlview" rendered="#{eDispGeneratorManager.eDViewMode.equals('xml')}">
                  <gdk:insert content="#{eDispGeneratorManager.selectedCDAGeneration.dispensation.cdaFileContent}" highlight="xml" style="overflow:auto; width: 840px; height: 380px;"/>
                </s:div>
                <s:div id="edhtmlview" rendered="#{eDispGeneratorManager.eDViewMode.equals('html')}">
									#{eDispGeneratorManager.updateEDViewForMessages()}
									<iframe src="eDview1.seam" style="width: 840px; height: 380px; border-width: 0px;"/>
								</s:div>
              </gri:tab>
            </gri:tabPanel>
          </gri:panel>
        </h:form>
      </s:decorate>
    </gri:popupPanel>
  </ui:define>
</ui:composition>
